/* Copyright (c) 1997, MpegTV LLC */
#ifndef _xtime_h
#define _xtime_h
#ifndef lint
static const char rcsid__xtime_h[] = "$Header: /net/hopkins/home/tristan/mpeg/dec/lib/include/RCS/xtime.h,v 1.6 1999/07/06 10:15:38 tristan Exp tristan $";
#endif


/*
 * Disclaimer of Warranty
 *
 * These software programs are available to the user without any license fee or
 * royalty on an "as is" basis.  Copyright-holder disclaims
 * any and all warranties, whether express, implied, or statuary, including any
 * implied warranties or merchantability or of fitness for a particular
 * purpose.  In no event shall the copyright-holder be liable for any
 * incidental, punitive, or consequential damages of any kind whatsoever
 * arising from the use of these programs.
 *
 * This disclaimer of warranty extends to the user of these programs and user's
 * customers, employees, agents, transferees, successors, and assigns.
 *
 */


#include "mtvp/misc.h"

#if defined(WIN32) && !defined(UNDER_CE)
#include <sys/timeb.h>
#endif

/*--------------------------------------------------------------------------+
| Configuration flags
+--------------------------------------------------------------------------*/
#if !defined(DEBUG) && !defined(_xtime_c) && !defined(NO_XTIME_INLINE)
#define XTIME_INLINE /* use inline version if possible */
#endif

/*--------------------------------------------------------------------------+
| Macros																	|
+--------------------------------------------------------------------------*/

/* to convert usec to sec */
#define MILLION		1000000

/*--------------------------------------------------------------------------+
| External declarations														|
+--------------------------------------------------------------------------*/

#if defined(NO_INLINE) || !defined(XTIME_INLINE)

extern double xtime_get_time_now(void);
extern void xtime_sleep(double seconds);

#else /* !defined(NO_INLINE) && defined(XTIME_INLINE) */

#	define _XTIME_INLINE static INLINE
#	include "xtime.c"
#	undef _XTIME_INLINE

#endif /* !defined(NO_INLINE) && defined(XTIME_INLINE) */

#endif /* _xtime_h */
